<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.0 Transitional//EN">
<html><head><meta http-equiv="Content-Type" content="text/html;charset=iso-8859-1">
<title>Member List (CEL: Crystal Entity Layer 2.0 Public API Reference)</title>
<link href="tabs.css" rel="stylesheet" type="text/css">
<link href="doxygen.css" rel="stylesheet" type="text/css">
</head><body>
<table border="0" cellpadding="0" cellspacing="0" width="100%" class="head">
 <tr height="59">
  <td class="head" width="202" valign="bottom" style="padding-left:0;"><a href="http://cel.crystalspace3d.org/"><img src="celblur.png" width="210" height="59" alt="CEL" border="0"></a></td>
  <td class="head"><h2>Public API Reference</h2></td>
 </tr>
 <tr height="11">
  <td colspan="2" class="headshadow" valign="top" style="padding-left:0;"><img src="celshadow.png" width="9" height="11" alt="" border="0"></td>
 </tr>
</table>
<div class="content">
<!-- Generated by Doxygen 1.7.6.1 -->
  <div id="navrow1" class="tabs">
    <ul class="tablist">
      <li><a href="index.html"><span>Main&#160;Page</span></a></li>
      <li><a href="pages.html"><span>Related&#160;Pages</span></a></li>
      <li class="current"><a href="annotated.html"><span>Classes</span></a></li>
      <li><a href="files.html"><span>Files</span></a></li>
    </ul>
  </div>
  <div id="navrow2" class="tabs2">
    <ul class="tablist">
      <li><a href="annotated.html"><span>Class&#160;List</span></a></li>
      <li><a href="classes.html"><span>Class&#160;Index</span></a></li>
      <li><a href="hierarchy.html"><span>Class&#160;Hierarchy</span></a></li>
      <li><a href="functions.html"><span>Class&#160;Members</span></a></li>
    </ul>
  </div>
</div>
<div class="header">
  <div class="headertitle">
<div class="title">iPcAnalogMotion Member List</div>  </div>
</div><!--header-->
<div class="contents">
This is the complete list of members for <a class="el" href="structiPcAnalogMotion.html">iPcAnalogMotion</a>, including all inherited members.<table>
  <tr class="memlist"><td><a class="el" href="structiPcAnalogMotion.html#a4705235037f00dfa30e07280932e5b5d">AddAxis</a>(size_t axis, float value)=0</td><td><a class="el" href="structiPcAnalogMotion.html">iPcAnalogMotion</a></td><td><code> [pure virtual]</code></td></tr>
  <tr class="memlist"><td><a class="elRef" doxygen="crystalspace.tag:http://www.crystalspace3d.org/docs/online/api/" href="http://www.crystalspace3d.org/docs/online/api/structiBase.html#a5d0ec17cc4948f7bdcf668fcb52b9eb1">AddRefOwner</a>(void **ref_owner)=0</td><td><a class="elRef" doxygen="crystalspace.tag:http://www.crystalspace3d.org/docs/online/api/" href="http://www.crystalspace3d.org/docs/online/api/structiBase.html">iBase</a></td><td><code> [pure virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="structiPcAnalogMotion.html#aba78421406b6f6018949a4a0e1be7d81">CS_DEPRECATED_METHOD_MSG</a>(&quot;Use Set(Minimum|Maximum)TurningSpeed () instead&quot;) virtual void SetTurningSpeed(float turnspeed)=0</td><td><a class="el" href="structiPcAnalogMotion.html">iPcAnalogMotion</a></td><td><code> [pure virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="structiPcAnalogMotion.html#a197faff08d727a89f27b7b43792cf17e">CS_DEPRECATED_METHOD_MSG</a>(&quot;Use Get(Minimum|Maximum)TurningSpeed () instead&quot;) virtual float GetTurningSpeed() const =0</td><td><a class="el" href="structiPcAnalogMotion.html">iPcAnalogMotion</a></td><td><code> [pure virtual]</code></td></tr>
  <tr class="memlist"><td><a class="elRef" doxygen="crystalspace.tag:http://www.crystalspace3d.org/docs/online/api/" href="http://www.crystalspace3d.org/docs/online/api/structiBase.html#a3a44d46ca155e6ab0c0179db01011bb0">DecRef</a>()=0</td><td><a class="elRef" doxygen="crystalspace.tag:http://www.crystalspace3d.org/docs/online/api/" href="http://www.crystalspace3d.org/docs/online/api/structiBase.html">iBase</a></td><td><code> [pure virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="structiPcAnalogMotion.html#a1402ed4c8be884ddd0d1e46332498d01">Enable</a>(bool en=true)=0</td><td><a class="el" href="structiPcAnalogMotion.html">iPcAnalogMotion</a></td><td><code> [pure virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="structiPcAnalogMotion.html#a29d753395bf1f79201174b792b991f56">GetAxis</a>(size_t axis) const =0</td><td><a class="el" href="structiPcAnalogMotion.html">iPcAnalogMotion</a></td><td><code> [pure virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="structiPcAnalogMotion.html#a96953c25387b6190bbc11e19a5df8ef5">GetAxis</a>() const =0</td><td><a class="el" href="structiPcAnalogMotion.html">iPcAnalogMotion</a></td><td><code> [pure virtual]</code></td></tr>
  <tr class="memlist"><td><a class="elRef" doxygen="crystalspace.tag:http://www.crystalspace3d.org/docs/online/api/" href="http://www.crystalspace3d.org/docs/online/api/structiBase.html#aeebf94ff535afffc22fcbfe869b70c30">GetInterfaceMetadata</a>()=0</td><td><a class="elRef" doxygen="crystalspace.tag:http://www.crystalspace3d.org/docs/online/api/" href="http://www.crystalspace3d.org/docs/online/api/structiBase.html">iBase</a></td><td><code> [pure virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="structiPcAnalogMotion.html#a593326effbf3604dc610af8345a38846">GetMaximumTurningSpeed</a>() const =0</td><td><a class="el" href="structiPcAnalogMotion.html">iPcAnalogMotion</a></td><td><code> [pure virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="structiPcAnalogMotion.html#aafea7ae33e6f19ef0a507aa2f92b5e86">GetMinimumTurningSpeed</a>() const =0</td><td><a class="el" href="structiPcAnalogMotion.html">iPcAnalogMotion</a></td><td><code> [pure virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="structiPcAnalogMotion.html#a9d823fccbb64e4a2f570fcd43bdf6099">GetMovementAcceleration</a>() const =0</td><td><a class="el" href="structiPcAnalogMotion.html">iPcAnalogMotion</a></td><td><code> [pure virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="structiPcAnalogMotion.html#a0a188f78e158134c2188f6874beede11">GetMovementDeceleration</a>() const =0</td><td><a class="el" href="structiPcAnalogMotion.html">iPcAnalogMotion</a></td><td><code> [pure virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="structiPcAnalogMotion.html#ad4d456a0785499b123e7cfed0cdcb036">GetMovementSpeed</a>() const =0</td><td><a class="el" href="structiPcAnalogMotion.html">iPcAnalogMotion</a></td><td><code> [pure virtual]</code></td></tr>
  <tr class="memlist"><td><a class="elRef" doxygen="crystalspace.tag:http://www.crystalspace3d.org/docs/online/api/" href="http://www.crystalspace3d.org/docs/online/api/structiBase.html#a74696c1b99c7161216ee26161944adfd">GetRefCount</a>()=0</td><td><a class="elRef" doxygen="crystalspace.tag:http://www.crystalspace3d.org/docs/online/api/" href="http://www.crystalspace3d.org/docs/online/api/structiBase.html">iBase</a></td><td><code> [pure virtual]</code></td></tr>
  <tr class="memlist"><td><a class="elRef" doxygen="crystalspace.tag:http://www.crystalspace3d.org/docs/online/api/" href="http://www.crystalspace3d.org/docs/online/api/structiBase.html#a426a2763702fbbc33a213f849042284a">IncRef</a>()=0</td><td><a class="elRef" doxygen="crystalspace.tag:http://www.crystalspace3d.org/docs/online/api/" href="http://www.crystalspace3d.org/docs/online/api/structiBase.html">iBase</a></td><td><code> [pure virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="structiPcAnalogMotion.html#ac399a5fc18641fb91a9bf59a90751707">IsEnabled</a>() const =0</td><td><a class="el" href="structiPcAnalogMotion.html">iPcAnalogMotion</a></td><td><code> [pure virtual]</code></td></tr>
  <tr class="memlist"><td><a class="elRef" doxygen="crystalspace.tag:http://www.crystalspace3d.org/docs/online/api/" href="http://www.crystalspace3d.org/docs/online/api/structiBase.html#a2adc74eb0286a65f2310f221be4ddded">QueryInterface</a>(scfInterfaceID iInterfaceID, int iVersion)=0</td><td><a class="elRef" doxygen="crystalspace.tag:http://www.crystalspace3d.org/docs/online/api/" href="http://www.crystalspace3d.org/docs/online/api/structiBase.html">iBase</a></td><td><code> [pure virtual]</code></td></tr>
  <tr class="memlist"><td><a class="elRef" doxygen="crystalspace.tag:http://www.crystalspace3d.org/docs/online/api/" href="http://www.crystalspace3d.org/docs/online/api/structiBase.html#a0292fc77bd2b4f8ff5ff25e9540417e0">RemoveRefOwner</a>(void **ref_owner)=0</td><td><a class="elRef" doxygen="crystalspace.tag:http://www.crystalspace3d.org/docs/online/api/" href="http://www.crystalspace3d.org/docs/online/api/structiBase.html">iBase</a></td><td><code> [pure virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="structiPcAnalogMotion.html#af541588a05260aa10bb7df5487e51c30">SetAxis</a>(size_t axis, float value)=0</td><td><a class="el" href="structiPcAnalogMotion.html">iPcAnalogMotion</a></td><td><code> [pure virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="structiPcAnalogMotion.html#ad8d811bbc0ed86dd7c8041f10a2e5d55">SetAxis</a>(const csVector2 &amp;axis)=0</td><td><a class="el" href="structiPcAnalogMotion.html">iPcAnalogMotion</a></td><td><code> [pure virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="structiPcAnalogMotion.html#a52bf5b718114ede0dc180c1365c6f441">SetMaximumTurningSpeed</a>(float turnspeed)=0</td><td><a class="el" href="structiPcAnalogMotion.html">iPcAnalogMotion</a></td><td><code> [pure virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="structiPcAnalogMotion.html#a0b0695b3c1adaf259612d5d69c5923e1">SetMinimumTurningSpeed</a>(float turnspeed)=0</td><td><a class="el" href="structiPcAnalogMotion.html">iPcAnalogMotion</a></td><td><code> [pure virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="structiPcAnalogMotion.html#aaf497af8eeca3366c62263171499670a">SetMovementAcceleration</a>(float moveaccel)=0</td><td><a class="el" href="structiPcAnalogMotion.html">iPcAnalogMotion</a></td><td><code> [pure virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="structiPcAnalogMotion.html#ae6e717159e8fca6e3115b92507b969a9">SetMovementDeceleration</a>(float movedecel)=0</td><td><a class="el" href="structiPcAnalogMotion.html">iPcAnalogMotion</a></td><td><code> [pure virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="structiPcAnalogMotion.html#adbb13a7c7d3c2e3a80f9494bc027f87a">SetMovementSpeed</a>(float movespeed)=0</td><td><a class="el" href="structiPcAnalogMotion.html">iPcAnalogMotion</a></td><td><code> [pure virtual]</code></td></tr>
  <tr class="memlist"><td><a class="elRef" doxygen="crystalspace.tag:http://www.crystalspace3d.org/docs/online/api/" href="http://www.crystalspace3d.org/docs/online/api/structiBase.html#a64186fd7973d2ef0bc16013e302b6ea3">~iBase</a>()</td><td><a class="elRef" doxygen="crystalspace.tag:http://www.crystalspace3d.org/docs/online/api/" href="http://www.crystalspace3d.org/docs/online/api/structiBase.html">iBase</a></td><td><code> [protected, virtual]</code></td></tr>
</table></div><!-- contents -->
<hr size="1"><address><small>Generated for CEL: Crystal Entity Layer 2.0 by 
<a href="http://www.doxygen.org/index.html">doxygen</a> 1.7.6.1 
</small></address> </div></body> </html>
